org.apache.hadoop.yarn.api.protocolrecords

## Class GetApplicationsResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class GetApplicationsResponse
      extends Object

  The response sent by the `ResourceManager` to a client requesting an `ApplicationReport` for applications.

  The `ApplicationReport` for each application includes details such as user, queue, name, host on which the `ApplicationMaster` is running, RPC port, tracking URL, diagnostics, start time etc.

  See Also:
    `ApplicationReport`, `ApplicationBaseProtocol.getApplications(GetApplicationsRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetApplicationsResponse()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<ApplicationReport>` | `getApplicationList()` Get `ApplicationReport` for applications.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetApplicationsResponse

          public GetApplicationsResponse()

  - ### Method Detail

    - #### getApplicationList

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract List<ApplicationReport> getApplicationList()

      Get `ApplicationReport` for applications.
      Returns:
        `ApplicationReport` for applications

Copyright © 2022 Apache Software Foundation. All rights reserved.